OBJS_COMMON=read_fio.o read_common.o read_prim.o read_dump.o read_free.o
OBJS_PAGE=page.o read_page.o
OBJS_CACHE=cache.o read_cache.o
OBJS_LIBRARY=library.o read_library.o
CFLAGS=-g -DORCAD_TESTER -I.. -I.

default: all

all: page cache library

clean:
	rm -f $(OBJS_COMMON)
	rm -f page $(OBJS_PAGE)
	rm -f cache $(OBJS_CACHE)
	rm -f library $(OBJS_LIBRARY)

page: $(OBJS_PAGE) $(OBJS_COMMON)
	$(CC) -o page $(OBJS_PAGE) $(OBJS_COMMON)

cache: $(OBJS_CACHE) $(OBJS_COMMON)
	$(CC) -o cache $(OBJS_CACHE) $(OBJS_COMMON)

library: $(OBJS_LIBRARY) $(OBJS_COMMON)
	$(CC) -o library $(OBJS_LIBRARY) $(OBJS_COMMON)

read_fio.o: read_fio.c read_fio.h
	$(CC) $(CFLAGS) -o read_fio.o -c read_fio.c

page.o: page.c read_fio.h ../read_parse.h
	$(CC) $(CFLAGS) -o page.o -c page.c

read_common.o: ../read_common.c ../read_common.h read_fio.h
	$(CC) $(CFLAGS) -o read_common.o -c ../read_common.c

read_prim.o: ../read_prim.c ../read_common.h read_fio.h
	$(CC) $(CFLAGS) -o read_prim.o -c ../read_prim.c

read_page.o: ../read_page.c ../read_common.h read_fio.h
	$(CC) $(CFLAGS) -o read_page.o -c ../read_page.c

read_cache.o: ../read_cache.c ../read_common.h read_fio.h
	$(CC) $(CFLAGS) -o read_cache.o -c ../read_cache.c

read_dump.o: ../read_dump.c ../read_common.h
	$(CC) $(CFLAGS) -o read_dump.o -c ../read_dump.c

read_free.o: ../read_free.c ../read_common.h
	$(CC) $(CFLAGS) -o read_free.o -c ../read_free.c

cache.o: cache.c ../read_common.h read_fio.h
	$(CC) $(CFLAGS) -o cache.o -c cache.c

library.o: library.c ../read_common.h read_fio.h
	$(CC) $(CFLAGS) -o library.o -c library.c

read_library.o: ../read_library.c ../read_common.h
	$(CC) $(CFLAGS) -o read_library.o -c ../read_library.c
